Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Class Operators

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.impl.operator.Operators

    public class Operators
    extends Object

Provides mappings from operators to generators

### Constructor Summary

Constructors
`Operators()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BinaryOpGen` `generatorFor​(org.apache.sling.scripting.sightly.compiler.expression.nodes.BinaryOperator operator)` Provide the signature of the given operator
`static UnaryOpGen` `generatorFor​(org.apache.sling.scripting.sightly.compiler.expression.nodes.UnaryOperator operator)` Provide the signature of the given operator

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Operators

    public Operators()

### Method Detail

#### generatorFor

    public static BinaryOpGen generatorFor​(org.apache.sling.scripting.sightly.compiler.expression.nodes.BinaryOperator operator)

Provide the signature of the given operator

Parameters:
  `operator` - - the operator
Returns:
  - the signature for the operator

#### generatorFor

    public static UnaryOpGen generatorFor​(org.apache.sling.scripting.sightly.compiler.expression.nodes.UnaryOperator operator)

Provide the signature of the given operator

Parameters:
  `operator` - - the operator
Returns:
  - the signature for the operator